#pragma once
ref class disp
{
public:
	DEVMODE* dispmode; // ディスプレイモード // ネイティブ・コードのクラス（※ポインタ）
       
	static	 array<d_data^>^ 	disp_data; //参照クラスの配列の収納場所を作る
    int old_no;
	int old_x_data;
	int old_y_data;
	int old_perpel;
	int old_hz;
	int disp_end_no;
	disp(void);
void	disp_use(void);
void disp_old(void);
int disp_chang(int width_x,int height_y,int perpel, int frequency_hz);


};

/*
ref struct A {
   ~A() {}
};

int main() {
   A ^ MyA = gcnew A;
   try {
      // use MyA
   }
   finally {
      delete MyA;
   }
}
*/
/*
CounterLib::CounterLib() {
  counter_ = new counter(); // ネイティブ・オブジェクト生成
}

CounterLib::~CounterLib() {
  this->!CounterLib(); // ファイナライザを呼ぶ
}

CounterLib::!CounterLib() {
  delete counter_; // ネイティブ・オブジェクト解放
}


*/